Package ru.bitel.bgbilling.modules.cerbercrypt.server.bean

# Class ChannelManager

java.lang.Object
ru.bitel.bgbilling.modules.cerbercrypt.server.bean.ChannelManager

    public class ChannelManager
    extends java.lang.Object

Менеджер каналов.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ChannelManager​(java.sql.Connection con, int mid)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `deleteChannel​(int id)` | Удаление канала по его id.
  `Channel` | `getChannelById​(int id)` | Канал по его ид.
  `java.util.List<Channel>` | `getChannelList()` | Список каналов отсортированный по заголовку.
  `java.util.Map<java.lang.Integer,​Channel>` | `getChannelMap()` | Мэп (ид=>канал) каналов отсортированный по заголовку.
  `void` | `updateChannel​(Channel channel)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ChannelManager

    public ChannelManager​(java.sql.Connection con, int mid)

- ## Method Details

  - ### updateChannel

    public void updateChannel​(Channel channel) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getChannelList

    public java.util.List<Channel> getChannelList() throws ru.bitel.bgbilling.common.BGException
    Список каналов отсортированный по заголовку.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getChannelMap

    public java.util.Map<java.lang.Integer,​Channel> getChannelMap() throws ru.bitel.bgbilling.common.BGException
    Мэп (ид=>канал) каналов отсортированный по заголовку.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getChannelById

    public Channel getChannelById​(int id) throws ru.bitel.bgbilling.common.BGException
    Канал по его ид.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteChannel

    public void deleteChannel​(int id) throws ru.bitel.bgbilling.common.BGException
    Удаление канала по его id.
    Throws:
      `ru.bitel.bgbilling.common.BGException`